import { createApp } from 'vue'
import './style.css'
import App from './App.vue'
import router from './router';

import { plugin, defaultConfig } from '@formkit/vue'

import { library } from '@fortawesome/fontawesome-svg-core';
import { FontAwesomeIcon } from '@fortawesome/vue-fontawesome'
import {
  faSync,
  faMagnifyingGlass,
  faXmark,
  faUtensils,
  faCalendarMinus,
  faCircleInfo,
  faCircleExclamation,
  faGear,
} from '@fortawesome/free-solid-svg-icons';
import '@formkit/themes/genesis';

library.add(faSync);
library.add(faMagnifyingGlass);
library.add(faXmark);
library.add(faUtensils);
library.add(faCalendarMinus);
library.add(faCircleInfo);
library.add(faCircleExclamation);
library.add(faGear);

const app = createApp(App)
  .use(router)
  .use(plugin, defaultConfig)
  .component('font-awesome-icon', FontAwesomeIcon)
  .mount('#app');