import { ref } from 'vue';
import moment from 'moment';

import 'moment-timezone';

export default {
  setup() {

  },
  data: () => ({
    secondsToReload: 60,
    cutDay: 6,
    cutHour: 4,
    timezone: 'America/Denver',
    apitoken: ''
  }),
  async created() {
    if (window.services) {
      const {
        secondsToReload = this.secondsToReload,
          cutDay = this.cutDay,
          cutHour = this.cutHour,
          timezone = this.timezone,
          apitoken = this.apitoken,
      } = await window.services.getConfig();

      this.secondsToReload = secondsToReload;
      this.cutDay = cutDay;
      this.cutHour = cutHour;
      this.timezone = timezone;
      this.apitoken = apitoken;
    }
  },
  methods: {
    save() {
      if (window.services) {
        const config = {
          secondsToReload: Number(this.secondsToReload),
          cutDay: Number(this.cutDay),
          cutHour: Number(this.cutHour),
          timezone: this.timezone,
          apitoken: this.apitoken,
        };
        console.log('config :>> ', config);
        window.services.setConfig(config);
      }
      this.$router.push('/');
    },
    cancel() {
      this.$router.push('/');
    }
  }
}